Bug 629239 - [4u8] Bonding in ALB mode sends ARP in loop [rhel-4.8.z]
Summary: [4u8] Bonding in ALB mode sends ARP in loop [rhel-4.8.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.8
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Don Howard
QA Contact: Liang Zheng
URL:
Whiteboard:
Depends On: 610236
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-01 12:04 UTC by RHEL Program Management
Modified: 2010-10-21 12:25 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When two systems using bonding devices in the adaptive load balancing (ALB) mode communicated with each other, an endless loop of ARP replies started between these two systems due to a faulty MAC address update. With this update, the MAC address update no longer creates unneeded ARP replies.
Clone Of:
Environment:
Last Closed: 2010-10-19 18:48:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0779 0 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2010-10-19 18:47:53 UTC

Description RHEL Program Management 2010-09-01 12:04:02 UTC
This bug has been copied from bug #610236 and has been proposed
to be backported to 4.8 z-stream (EUS).

Comment 3 Don Howard 2010-09-16 16:40:52 UTC
A patch for this issue has been included in kernel 2.6.9-89.0.30.

Comment 5 Liang Zheng 2010-10-15 09:06:22 UTC
Test in kernel 2.6.9-89, Steps to Reproduce:
 1. config two systems both running bonding in ALB mode 
 2. System A ping system B,the ARP being sent each 2 seconds between them

[root@hp-dl320g5-01 mnt]# tcpdump -v arp
tcpdump: WARNING: eth0: no IPv4 address assigned
tcpdump: listening on eth0, link-type EN10MB (Ethernet), capture size 96 bytes
03:49:49.056184 arp reply hp-dl320g5-01.rhts.eng.bos.redhat.com is-at 00:18:71:8c:16:22
03:49:49.056384 arp reply hp-dl320g5-01.rhts.eng.bos.redhat.com is-at 00:18:71:8c:16:22
03:49:53.156023 arp reply hp-dl320g5-01.rhts.eng.bos.redhat.com is-at 00:18:71:8c:16:22
03:49:53.156026 arp reply hp-dl320g5-01.rhts.eng.bos.redhat.com is-at 00:18:71:8c:16:22

Test in kernel 2.6.9-89.31.1:
There are no unneeded ARP packets.

[root@dell-pem605-01 ~]# tcpdump -v arp
tcpdump: WARNING: eth0: no IPv4 address assigned
tcpdump: listening on eth0, link-type EN10MB (Ethernet), capture size 96 bytes

0 packets captured

Comment 7 errata-xmlrpc 2010-10-19 18:48:38 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0779.html

Comment 8 Martin Prpič 2010-10-21 12:25:44 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When two systems using bonding devices in the adaptive load balancing (ALB) mode communicated with each other, an endless loop of ARP replies started between these two systems due to a faulty MAC address update. With this update, the MAC address update no longer creates unneeded ARP replies.


Note You need to log in before you can comment on or make changes to this bug.